Commit 61bc3805 authored by Volker Krause's avatar Volker Krause
Browse files

Actually make the Qt5Positioning dependency optional

The surrounding code handles this just fine, just the checking code didn't.
parent fb3454da
PROJECT( MarbleDeclarativePlugin )
find_package(Qt5 ${REQUIRED_QT_VERSION} COMPONENTS Positioning)
find_package(Qt5 ${REQUIRED_QT_VERSION} OPTIONAL_COMPONENTS Positioning)
if(Qt5Positioning_FOUND)
add_definitions(-DHAVE_QT5_POSITIONING)
endif(Qt5Positioning_FOUND)
......
......@@ -9,7 +9,7 @@ IF(LIBGPS_FOUND)
ENDIF(LIBGPS_FOUND)
find_package(Qt5 ${REQUIRED_QT_VERSION}
COMPONENTS
OPTIONAL_COMPONENTS
Positioning
)
marble_set_package_properties( Qt5Positioning PROPERTIES DESCRIPTION "a collection of APIs and frameworks" )
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment